ReplicaRecoveryInfo (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.protocol, class: ReplicaRecoveryInfo

Package org.apache.hadoop.hdfs.server.protocol

# Class ReplicaRecoveryInfo

java.lang.Object
org.apache.hadoop.hdfs.protocol.Block
org.apache.hadoop.hdfs.server.protocol.ReplicaRecoveryInfo

All Implemented Interfaces:
  `Comparable<org.apache.hadoop.hdfs.protocol.Block>`, `org.apache.hadoop.io.Writable`

@Private @Evolving public class ReplicaRecoveryInfo extends org.apache.hadoop.hdfs.protocol.Block
Replica recovery information.

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.hdfs.protocol.Block

  `BLOCK_FILE_PREFIX, blockFilePattern, METADATA_EXTENSION, metaFilePattern, metaOrBlockFilePattern`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplicaRecoveryInfo(long blockId, long diskLen, long gs, HdfsServerConstants.ReplicaState rState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `HdfsServerConstants.ReplicaState`
  `getOriginalReplicaState()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.hdfs.protocol.Block

  `appendStringTo, compareTo, filename2id, getBlockId, getBlockId, getBlockName, getGenerationStamp, getGenerationStamp, getNumBytes, isBlockFilename, isMetaFilename, matchingIdAndGenStamp, metaToBlockFile, readFields, readId, set, setBlockId, setGenerationStamp, setNumBytes, toString, write, writeId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReplicaRecoveryInfo

    public ReplicaRecoveryInfo(long blockId, long diskLen, long gs, HdfsServerConstants.ReplicaState rState)

- ## Method Details

  - ### getOriginalReplicaState

    public HdfsServerConstants.ReplicaState getOriginalReplicaState()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `org.apache.hadoop.hdfs.protocol.Block`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.apache.hadoop.hdfs.protocol.Block`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `org.apache.hadoop.hdfs.protocol.Block`